---
title: Dotawo - A Journal of Nubian Studies
has_issues: ["dotawo7.md"]
---

# About Dotawo

Nubian studies needs a platform in which the old meets the new, in which archaeological, historical, and philological research into Meroitic, Old Nubian, Coptic, Greek, and Arabic sources confront current investigations in modern anthropology and ethnography, Nilo-Saharan linguistics, and critical and theoretical approaches present in postcolonial and African studies.

The journal *Dotawo: A Journal of Nubian Studies* brings these disparate fields together within the same fold, opening a cross-cultural and diachronic field where divergent approaches meet on common soil. *Dotawo* gives a common home to the past, present, and future of one of the richest areas of research in African studies. It offers a crossroads where papyrus can meet internet, scribes meet critical thinkers, and the promises of growing nations meet the accomplishments of old kingdoms.

# Previous Issues

From 2014 to 2019, PDF articles of *Dotawo* were hosted by [DigitalCommons@Fairfield](https://digitalcommons.fairfield.edu/djns/). Since 2019, articles are available through University of California's [eScholarship](https://escholarship.org/uc/dotawo) platform. A print version of *Dotawo* is available through [punctum books](https://punctumbooks.com/imprints/dotawo/), which also hosts the *Dotawo Monograph* series.


* *Dotawo* 1, ed. Vincent W.J. van Gerven Oei, Angelika Jakobi & Giovanni Ruffini (2014). Available at [punctum books](https://punctumbooks.com/titles/dotawo-volume-1-2014/) · [eScholarship](https://escholarship.org/uc/dotawo/1/1) · [DigitalCommons@Fairfield](https://digitalcommons.fairfield.edu/djns/vol1/iss1/)
* *Dotawo* 2, ed. Vincent W.J. van Gerven Oei, Angelika Jakobi & Giovanni Ruffini (2015). Available at [punctum books](https://punctumbooks.com/titles/dotawo-volume-2-2015/) · [eScholarship](https://escholarship.org/uc/dotawo/2/1) · [DigitalCommons@Fairfield](https://digitalcommons.fairfield.edu/djns/vol2/iss1/)
* *Dotawo* 3: "Know-How and Techniques in Ancient Sudan," ed. Marc Maillot (2016). Available at [punctum books](https://punctumbooks.com/titles/dotawo-volume-3-2016/) ·  [eScholarship](https://escholarship.org/uc/dotawo/3/1) · [DigitalCommons@Fairfield](https://digitalcommons.fairfield.edu/djns/vol3/iss1/)
* *Dotawo* 4: "Place Names and Place Naming in Ancient Nubia," ed. Robin Seignobos & Alexandros Tsakos (2017). Available at [punctum books](https://punctumbooks.com/titles/dotawo-a-journal-of-nubian-studies-4/) · [eScholarship](https://escholarship.org/uc/dotawo/4/1) · [DigitalCommons@Fairfield](https://digitalcommons.fairfield.edu/djns/vol4/iss1/)
* *Dotawo* 5: "Nubian Women," ed. Anne Jennings (2018). Available at [punctum books](https://punctumbooks.com/titles/dotawo-a-journal-of-nubian-studies-5-nubian-women/) · [eScholarship](https://escholarship.org/uc/dotawo/5/1) ·  [DigitalCommons@Fairfield](https://digitalcommons.fairfield.edu/djns/vol5/iss1/)
* *Dotawo* 6: "Miscellanea Nubiana," ed. Adam Simmons (2019). Available at [punctum books](https://punctumbooks.com/titles/dotawo-a-journal-of-nubian-studies-6/) · [eScholarship](https://escholarship.org/uc/dotawo/6/1)

Read more about *Dotawo* on the website of the [Union for Nubian Studies](http://unionfornubianstudies.org/projects/dotawo/).
